Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.puppycrawl.tools.checkstyle.checks.coding
Class HiddenFieldCheck

    java.lang.Object
      com.puppycrawl.tools.checkstyle.api.AutomaticBean
          com.puppycrawl.tools.checkstyle.api.AbstractViolationReporter
              com.puppycrawl.tools.checkstyle.api.Check
                  com.puppycrawl.tools.checkstyle.checks.coding.HiddenFieldCheck

All Implemented Interfaces:
  Configurable, Contextualizable

public class HiddenFieldCheck
extends Check

Checks that a local variable or a parameter does not shadow a field that is defined in the same class.

An example of how to configure the check is:

     <module name="HiddenField"/>

An example of how to configure the check so that it checks variables but not parameters is:

     <module name="HiddenField">
        <property name="tokens" value="VARIABLE_DEF"/>
     </module>

An example of how to configure the check so that it ignores the parameter of a setter method is:

     <module name="HiddenField">
        <property name="ignoreSetter" value="true"/>
     </module>

An example of how to configure the check so that it ignores constructor parameters is:

     <module name="HiddenField">
        <property name="ignoreConstructorParameter" value="true"/>
     </module>

Version:
  1.0
Author:
  Rick Giles

Constructor Summary
`HiddenFieldCheck()`

Method Summary
`void` | `beginTree(DetailAST aRootAST)` Called before the starting to process a tree.
`int[]` | `getAcceptableTokens()` The configurable token set.
`int[]` | `getDefaultTokens()` Returns the default token a check is interested in.
`org.apache.regexp.RE` | `getRegexp()`
`int[]` | `getRequiredTokens()` The tokens that this check must be registered for.
`void` | `leaveToken(DetailAST aAST)` Called after all the child nodes have been process.
`void` | `setIgnoreConstructorParameter(boolean aIgnoreConstructorParameter)` Set whether to ignore constructor parameters.
`void` | `setIgnoreFormat(java.lang.String aFormat)` Set the ignore format to the specified regular expression.
`void` | `setIgnoreSetter(boolean aIgnoreSetter)` Set whether to ignore the parameter of a property setter method.
`void` | `visitToken(DetailAST aAST)` Called to process a token.

Methods inherited from class com.puppycrawl.tools.checkstyle.api.Check
`destroy, finishTree, getClassLoader, getFileContents, getLines, getTabWidth, getTokenNames, init, log, log, setClassLoader, setFileContents, setMessages, setTabWidth, setTokens`

Methods inherited from class com.puppycrawl.tools.checkstyle.api.AbstractViolationReporter
`getMessageBundle, getSeverity, getSeverityLevel, log, log, log, log, log, log, log, log, log, setSeverity`

Methods inherited from class com.puppycrawl.tools.checkstyle.api.AutomaticBean
`configure, contextualize, finishLocalSetup, getConfiguration, setupChild`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### HiddenFieldCheck

    public HiddenFieldCheck()

Method Detail

### getDefaultTokens

    public int[] getDefaultTokens()

  Description copied from class: `Check`
  Returns the default token a check is interested in. Only used if the configuration for a check does not define the tokens.

  Specified by:
    `getDefaultTokens` in class `Check`
  Returns:
    the default tokens
  See Also:
    `Check`

### getAcceptableTokens

    public int[] getAcceptableTokens()

  Description copied from class: `Check`
  The configurable token set. Used to protect Checks against malicious users who specify an unacceptable token set in the configuration file. The default implementation returns the check's default tokens.

  Overrides:
    `getAcceptableTokens` in class `Check`
  Returns:
    the token set this check is designed for.
  See Also:
    `Check`

### getRequiredTokens

    public int[] getRequiredTokens()

  Description copied from class: `Check`
  The tokens that this check must be registered for.

  Overrides:
    `getRequiredTokens` in class `Check`
  Returns:
    the token set this must be registered for.
  See Also:
    `Check`

### beginTree

    public void beginTree(DetailAST aRootAST)

  Description copied from class: `Check`
  Called before the starting to process a tree. Ideal place to initialise information that is to be collected whilst processing a tree.

  Overrides:
    `beginTree` in class `Check`
  Parameters:
    `aRootAST` - the root of the tree
  See Also:
    `Check`

### visitToken

    public void visitToken(DetailAST aAST)

  Description copied from class: `Check`
  Called to process a token.

  Overrides:
    `visitToken` in class `Check`
  Parameters:
    `aAST` - the token to process
  See Also:
    `Check`

### leaveToken

    public void leaveToken(DetailAST aAST)

  Description copied from class: `Check`
  Called after all the child nodes have been process.

  Overrides:
    `leaveToken` in class `Check`
  Parameters:
    `aAST` - the token leaving
  See Also:
    `Check`

### setIgnoreFormat

    public void setIgnoreFormat(java.lang.String aFormat)
                         throws org.apache.commons.beanutils.ConversionException

  Set the ignore format to the specified regular expression.

  Parameters:
    `aFormat` - a `String` value
  Throws:
    `org.apache.commons.beanutils.ConversionException` - unable to parse aFormat

### setIgnoreSetter

    public void setIgnoreSetter(boolean aIgnoreSetter)

  Set whether to ignore the parameter of a property setter method.

  Parameters:
    `aIgnoreSetter` - decide whether to ignore the parameter of a property setter method.

### setIgnoreConstructorParameter

    public void setIgnoreConstructorParameter(boolean aIgnoreConstructorParameter)

  Set whether to ignore constructor parameters.

  Parameters:
    `aIgnoreConstructorParameter` - decide whether to ignore constructor parameters.

### getRegexp

    public org.apache.regexp.RE getRegexp()

  Returns:
    the regexp to match against

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Back to the Checkstyle Home Page
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD